QGIS Application - Feature request #4094
Enhancement: specify background for (transparent) items in composer legend
2011-07-18 11:52 PM - Alister Hood

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14077
Description

When, for example, using transparent polygons with an aerial photo underneath (I imagine this is a common thing to do), the composer
legend entries can look a very different colour to the polygons in the map. See the attached screenshot, particularly the red, purple and
dark blue legend entries.

It would be good if there was a way to make the colours more similar. 1'm not sure how to do this - | think something like taking an actual
slice out of the map to use for the legend entry would be very complicated. Maybe there could be an option to specify a colour or an image
or something to put under the legend entries... or an option to disable transparency in the legend, or something along those lines. Does
anybody know of any other software that tries to deal with this issue?

History

#1 - 2011-08-29 10:48 PM - Paolo Cavallini
- Category set to 33
- Pull Request or Patch supplied set to No

#2 - 2011-12-16 02:11 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:24 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-04-06 06:03 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#6 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
